<h1>Allgemeine Einstellungen - Schnittstellen</h1>
<?php
if ( $_SESSION['IsAdmin'] )
{
	if ("Speichern" == $_POST['action']) {
		$sqls1		= 'UPDATE US SET Wert = "'.$_POST['Wert'].'" WHERE Sektion = "schnitt" AND Kurz = "sk";';
		$stmts1		= $db->prepare($sqls1);
		if (!$stmts1) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts1->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts1->error);
		}
		$sqls2		= 'UPDATE Firma SET
			Firma		= "'.$_POST['Firma'].'",
			Strasse		= "'.$_POST['Strasse'].'",
			HausNr		= "'.$_POST['HausNr'].'",
			PLZ			= "'.$_POST['PLZ'].'",
			Ort			= "'.$_POST['Ort'].'",
			Land		= "'.$_POST['Land'].'",
			EMail		= "'.$_POST['EMail'].'",
			Vertreter1	= "'.$_POST['Vertreter1'].'",
			Vertreter2	= "'.$_POST['Vertreter2'].'",
			Vertreter3	= "'.$_POST['Vertreter3'].'",
			Telefon		= "'.$_POST['Telefon'].'"
		WHERE ID = "3";';
		$stmts2		= $db->prepare($sqls2);
		if (!$stmts2) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts2->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts2->error);
		}
		echo "<p class=\"hinweis\">Schnittstellendaten wurden gespeichert!</p>\n";
	}
	$sql1		= "SELECT Wert FROM US WHERE Sektion = \"schnitt\" AND Kurz = \"sk\";";
	$result1	= $db->query($sql1);
	$nt1		= $result1->fetch_assoc();
	$sql2		= "SELECT * FROM Firma WHERE ID = \"3\";";
	$result2	= $db->query($sql2);
	$nt2		= $result2->fetch_assoc();

	echo "<p>Folgende Einstellungen werden nur in Verbindung mit dem Modul <span class=\"hinweis\">Schnittstellen</span> benötigt!</p>\n";
	echo "<p>Falls Sie unter dem Punkt <span class=\"hinweis\">Kontaktadresse</span> Firmenkontakt wählen, erweitert sich das Eingabeformular.</p>\n";

	echo "<form action=\"index.php?".$_SERVER['QUERY_STRING']."\" method=\"post\" >\n";
	echo "<fieldset>\n";
	echo "<legend>Schnittstellen</legend>\n";
	echo "<fieldset>\n";
	echo "<legend>Kontaktadresse</legend>\n";
	echo "	<label>Adresse aus</label>\n";
	echo "	<input type=\"radio\" name=\"Wert\" value=\"Mitarbeiter\" ";
	if ("Mitarbeiter" == $nt1['Wert']) {
		echo "checked=\"checked\" ";
	}
	echo ">Mitarbeiterdaten\n";
	echo "	<img class=\"drueber\" src=\"../img/help.gif\" title=\"Auf das Portal werden die entsprechenden Daten des Teammitglieds übertragen.\" />\n";
	echo "	<br />\n";
	echo "	<label>&nbsp;</label>\n";
	echo "	<input type=\"radio\" name=\"Wert\" value=\"Firmenkontakt\" ";
	if ("Firmenkontakt" == $nt1['Wert']) {
		echo "checked=\"checked\" ";
	}
	echo ">Firmenkontakt\n";
	echo "	<img class=\"drueber\" src=\"../img/help.gif\" title=\"Auf das Portal werden die Standardkontaktdaten übertragen.\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "<fieldset>\n";
	echo "<legend>Adressangaben</legend>\n";
	echo "	<label>Firma</label>\n";
	echo "	<input type=\"text\" name=\"Firma\" value=\"".$nt2['Firma']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Bitte verwenden Sie keine Sonderzeichen wie: & / \\\" />\n";
	echo "	<br />\n";
	echo "	<label>Straße und HausNr</label>\n";
	echo "	<input type=\"text\" name=\"Strasse\" value=\"".$nt2['Strasse']."\" />\n";
	echo "	<input class=\"kurz\" type=\"text\" name=\"HausNr\" value=\"".$nt2['HausNr']."\" />\n";
	echo "	<br />\n";
	echo "	<label>PLZ und Ort</label>\n";
	echo "	<input class=\"kurz\" type=\"text\" name=\"PLZ\" value=\"".$nt2['PLZ']."\" />\n";
	echo "	<input type=\"text\" name=\"Ort\" value=\"".$nt2['Ort']."\" />\n";
	echo "	<br />\n";
	echo "	<label>Homepage</label>\n";
	echo "	<input type=\"text\" name=\"Land\" value=\"".$nt2['Land']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Geben Sie Ihre Homepage ohne einleitendes http:// an, also: www.ri-st.de\" />\n";
	echo "	<br />\n";
	echo "	<label>EMail</label>\n";
	echo "	<input type=\"text\" name=\"EMail\" value=\"".$nt2['EMail']."\" />\n";
	echo "	<br />\n";
	echo "	<label>Anrede</label>\n";
	echo "	<input type=\"text\" name=\"Vertreter1\" value=\"".$nt2['Vertreter1']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Dieser Wert wird nur in Verbindung mit Kontaktadresse: Firmenkontakt benötigt\" />\n";
	echo "	<br />\n";
	echo "	<label>Vorname</label>\n";
	echo "	<input type=\"text\" name=\"Vertreter2\" value=\"".$nt2['Vertreter2']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Dieser Wert wird nur in Verbindung mit Kontaktadresse: Firmenkontakt benötigt\" />\n";
	echo "	<br />\n";
	echo "	<label>Nachname</label>\n";
	echo "	<input type=\"text\" name=\"Vertreter3\" value=\"".$nt2['Vertreter3']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Dieser Wert wird nur in Verbindung mit Kontaktadresse: Firmenkontakt benötigt\" />\n";
	echo "	<br />\n";
	echo "	<label>Telefon</label>\n";
	echo "	<input type=\"text\" name=\"Telefon\" value=\"".$nt2['Telefon']."\" />\n";
	echo "	<img src=\"../img/help.gif\" title=\"Dieser Wert wird nur in Verbindung mit Kontaktadresse: Firmenkontakt benötigt\" />\n";
	echo "	<br />\n";
	echo "</fieldset>\n";
	echo "	<br />\n";
	echo "	<input type=\"submit\" name=\"action\" value=\"Speichern\" />\n";
	echo "	<input type=\"reset\" name=\"Rücksetzen\" />\n";
	echo "</fieldset>\n";
	echo "</form>\n";
}
?>